Bug 1293184 - Timeout stopping LUKS devices during shutdown.
Timeout stopping LUKS devices during shutdown.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 19:30 EST by Fred Wells
Modified: 2016-12-20 12:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:14:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred Wells 2015-12-20 19:30:18 EST
Description of problem:

Following update to Fedora 23, during system shutdown/reboot, LUKS devices are timing out, causing excessive shutdown/reboot.


Version-Release number of selected component (if applicable):

systemd-222-10.fc23.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1.  Mount LUKS filesystems on startup (/etc/crypttab, /etc/fstab)
2.  Shutdown or reboot system

Actual results:

Additional 1.5min (timeout) added to shutdown.   Observe the following in /var/log/messages.

Dec 20 17:27:30 localhost systemd: Starting Show Plymouth Reboot Screen...
Dec 20 17:27:32 localhost systemd: Started Show Plymouth Reboot Screen.
Dec 20 17:29:03 localhost systemd: Starting Reboot...
Dec 20 17:35:28 localhost systemd: Starting Show Plymouth Reboot Screen...
Dec 20 17:35:29 localhost systemd: Started Show Plymouth Reboot Screen.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-uuid/4ebf6d72-d9b6-4480-9ec5-f0784b2289c5.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-id/dm-uuid-CRYPT-LUKS1-bfe69d4a8cf94546a78670b353730f8b-chome.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/dm-8.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-id/dm-name-chome.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /sys/devices/virtual/block/dm-7.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/dm-7.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-label/VARTMP.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-label/HOME.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-id/dm-uuid-CRYPT-LUKS1-522049ca413f40c4a88cbede2b35e553-cvartmp.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-uuid/b447acde-6834-4b47-8204-e3303d90de79.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /dev/disk/by-id/dm-name-cvartmp.
Dec 20 17:36:57 localhost systemd: Timed out stoppping /sys/devices/virtual/block/dm-8.
Dec 20 17:36:58 localhost systemd: Starting Reboot...

Here are the affected devices...

[root@mypc1 log]# ls -l /dev/mapper/c[hsv]*
lrwxrwxrwx 1 root root 7 Dec 20 17:37 /dev/mapper/chome -> ../dm-7
lrwxrwxrwx 1 root root 7 Dec 20 17:37 /dev/mapper/cshared -> ../dm-8
lrwxrwxrwx 1 root root 7 Dec 20 17:37 /dev/mapper/cvartmp -> ../dm-9

Here are the applicable /etc/fstab entries...

#/dev/mapper/cvartmp
LABEL=VARTMP            /var/tmp                ext4    defaults        1 2
#
#/dev/mapper/chome
LABEL=HOME              /home                   ext4    defaults        1 2
#
#/dev/mapper/cshared  
LABEL=SHARED            /shared                 ext4    defaults        1 2

Here are /etc/crypttab entries (passphrases redacted)...

[root@mypc1 log]# grep ^c[hsv] /etc/crypttab | awk '{print $1" "$2}'
cvartmp /dev/mapper/VolGroup00-vartmp.fs
chome /dev/mapper/VolGroup00-home.fs
cshared /dev/mapper/VolGroup00-shared.fs

Expected results:

No timeouts.  
Proper stopping of LUKS devices.  
Reasonable shutdown/reboot time.


Additional info:
Comment 1 Fred Wells 2015-12-28 09:11:57 EST
It appears that this has been resolved by recent updates - presumably to the kernel since systemd hasn't been updated.  As such, this can likely be closed.
Comment 2 Fred Wells 2016-01-18 23:20:20 EST
Reopening this, as it has not been resolved, but appears rather to be somewhat intermittent.
Comment 3 japa-fi 2016-10-11 01:52:44 EDT
I have the same issue with Fedora 24.
Clean install using existing encrypted swap, home, etc.


Kernel parameters from /boot/grub2/grub.cfg
linux16 /vmlinuz-4.7.5-200.fc24.x86_64 root=/dev/mapper/luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841 ro rd.luks.uuid=luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841 rd.luks.uuid=luks-ad008059-8471-4a9d-9323-8269e300e708 resume=UUID=b07efd4c-7b01-4826-82b5-b14ec0511890 quiet LANG=en_IE.UTF-8
        initrd16 /initramfs-4.7.5-200.fc24.x86_64.img


Swap partition is b07efd4c-7b01-4826-82b5-b14ec0511890, which is encrypted inside ad008059-8471-4a9d-9323-8269e300e708

Timeout stopping swap partition:
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2duuid-b07efd4c\x2d7b01\x2d4826\x2d82b5\x2db14ec0511890.device: Job dev-disk-by\x2duuid-b07efd4c\x2d7b01\x2d4826\x2d82b5\x2db14ec
0511890.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-uuid/b07efd4c-7b01-4826-82b5-b14ec0511890.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2duuid-b07efd4c\x2d7b01\x2d4826\x2d82b5\x2db14ec0511890.device: Job dev-disk-by\x2duuid-b07efd4c\x2d7b01\x2d4826\x2d82b5\x2db14ec
0511890.device/stop failed with result 'timeout'.


Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d2.device: Job dev-dm\x2d2.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/dm-2.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d2.device: Job dev-dm\x2d2.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d2.device: Job dev-dm\x2d2.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/dm-2.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d2.device: Job dev-dm\x2d2.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2dlabel-home.device: Job dev-disk-by\x2dlabel-home.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-label/home.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2dlabel-home.device: Job dev-disk-by\x2dlabel-home.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2dlabel-NEWSWAP.device: Job dev-disk-by\x2dlabel-NEWSWAP.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-label/NEWSWAP.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2dlabel-NEWSWAP.device: Job dev-disk-by\x2dlabel-NEWSWAP.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2dname\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-name-luks-ad008059-8471-4a9d-9323-8269e300e708.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2dname\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2dname\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-name-luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2dname\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d3cc6b71248d44b328a9a7b7e2ee32841\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d3cc6b71248d44b328a9a7b7e2ee32841\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-uuid-CRYPT-LUKS1-3cc6b71248d44b328a9a7b7e2ee32841-luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-uuid-CRYPT-LUKS1-3cc6b71248d44b328a9a7b7e2ee32841-luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d3cc6b71248d44b328a9a7b7e2ee32841\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d3cc6b71248d44b328a9a7b7e2ee32841\x2dluks\x2d3cc6b712\x2d48d4\x2d4b32\x2d8a9a\x2d7b7e2ee32841.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: sys-devices-virtual-block-dm\x2d1.device: Job sys-devices-virtual-block-dm\x2d1.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /sys/devices/virtual/block/dm-1.
Oct 11 08:30:27 oc7228322058 systemd: sys-devices-virtual-block-dm\x2d1.device: Job sys-devices-virtual-block-dm\x2d1.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d0.device: Job dev-dm\x2d0.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/dm-0.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d0.device: Job dev-dm\x2d0.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2dlabel-F24_ROOT.device: Job dev-disk-by\x2dlabel-F24_ROOT.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-label/F24_ROOT.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2dlabel-F24_ROOT.device: Job dev-disk-by\x2dlabel-F24_ROOT.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d1.device: Job dev-dm\x2d1.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/dm-1.
Oct 11 08:30:27 oc7228322058 systemd: dev-dm\x2d1.device: Job dev-dm\x2d1.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2dname\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-name-luks-ffebfc23-0384-4cdc-95a0-962259f93ee9.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2dname\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dad00805984714a9d93238269e300e708\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dad00805984714a9d93238269e300e708\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-uuid-CRYPT-LUKS1-ad00805984714a9d93238269e300e708-luks-ad008059-8471-4a9d-9323-8269e300e708.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dad00805984714a9d93238269e300e708\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dad00805984714a9d93238269e300e708\x2dluks\x2dad008059\x2d8471\x2d4a9d\x2d9323\x2d8269e300e708.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2duuid-6609a8e6\x2dd23c\x2d4c6e\x2d8595\x2def5f13426f83.device: Job dev-disk-by\x2duuid-6609a8e6\x2dd23c\x2d4c6e\x2d8595\x2def5f13426f83.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-uuid/6609a8e6-d23c-4c6e-8595-ef5f13426f83.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2duuid-6609a8e6\x2dd23c\x2d4c6e\x2d8595\x2def5f13426f83.device: Job dev-disk-by\x2duuid-6609a8e6\x2dd23c\x2d4c6e\x2d8595\x2def5f13426f83.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dffebfc2303844cdc95a0962259f93ee9\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dffebfc2303844cdc95a0962259f93ee9\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-id/dm-uuid-CRYPT-LUKS1-ffebfc2303844cdc95a0962259f93ee9-luks-ffebfc23-0384-4cdc-95a0-962259f93ee9.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dffebfc2303844cdc95a0962259f93ee9\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2dffebfc2303844cdc95a0962259f93ee9\x2dluks\x2dffebfc23\x2d0384\x2d4cdc\x2d95a0\x2d962259f93ee9.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: sys-devices-virtual-block-dm\x2d2.device: Job sys-devices-virtual-block-dm\x2d2.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /sys/devices/virtual/block/dm-2.
Oct 11 08:30:27 oc7228322058 systemd: sys-devices-virtual-block-dm\x2d2.device: Job sys-devices-virtual-block-dm\x2d2.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2duuid-5a26a4b7\x2dab86\x2d43f5\x2db268\x2d6209b9ff1225.device: Job dev-disk-by\x2duuid-5a26a4b7\x2dab86\x2d43f5\x2db268\x2d6209b9ff1225.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /dev/disk/by-uuid/5a26a4b7-ab86-43f5-b268-6209b9ff1225.
Oct 11 08:30:27 oc7228322058 systemd: dev-disk-by\x2duuid-5a26a4b7\x2dab86\x2d43f5\x2db268\x2d6209b9ff1225.device: Job dev-disk-by\x2duuid-5a26a4b7\x2dab86\x2d43f5\x2db268\x2d6209b9ff1225.device/stop failed with result 'timeout'.
Oct 11 08:30:27 oc7228322058 systemd: sys-devices-virtual-block-dm\x2d0.device: Job sys-devices-virtual-block-dm\x2d0.device/stop timed out.
Oct 11 08:30:27 oc7228322058 systemd: Timed out stoppping /sys/devices/virtual/block/dm-0.
Oct 11 08:30:27 oc7228322058 systemd: sys-devices-virtual-block-dm\x2d0.device: Job sys-devices-virtual-block-dm\x2d0.device/stop failed with result 'timeout'.


blkid
/dev/sda1: LABEL="boot" UUID="d76a7974-e5c3-4a31-b66a-731469a1f033" TYPE="ext4" PTTYPE="dos" PARTUUID="cf13d773-01"
/dev/sda2: UUID="2cc6b712-48d4-4b32-8a9a-7b7e2ee32841" TYPE="crypto_LUKS" PARTUUID="cf13d773-02"
/dev/sda3: UUID="f324fd4b-7ba5-4800-8492-6bafab1a8ba6" TYPE="crypto_LUKS" PARTUUID="cf13d773-03"
/dev/sda5: UUID="ffebfc23-0384-4cdc-95a0-962259f93ee9" TYPE="crypto_LUKS" PARTUUID="cf13d773-05"
/dev/sdb1: UUID="8c9b0106-d208-486b-912b-3f096778623d" TYPE="crypto_LUKS" PARTUUID="000c14ff-01"
/dev/sdb2: UUID="3cc6b712-48d4-4b32-8a9a-7b7e2ee32841" TYPE="crypto_LUKS" PARTUUID="000c14ff-02"
/dev/sdb3: LABEL="BOOT_f24" UUID="ce6efb33-ab90-4a22-a4b8-0371d893bf8b" TYPE="ext4" PARTUUID="000c14ff-03"
/dev/sdb5: UUID="2d6b1106-d195-40f4-928b-56de5a223b6f" TYPE="crypto_LUKS" PARTUUID="000c14ff-05"
/dev/sdb6: UUID="ad008059-8471-4a9d-9323-8269e300e708" TYPE="crypto_LUKS" PARTUUID="000c14ff-06"
/dev/mapper/luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841: LABEL="F24_ROOT" UUID="6609a8e6-d23c-4c6e-8595-ef5f13426f83" TYPE="ext4"
/dev/mapper/luks-ad008059-8471-4a9d-9323-8269e300e708: LABEL="NEWSWAP" UUID="b07efd4c-7b01-4826-82b5-b14ec0511890" TYPE="swap"
/dev/mapper/luks-ffebfc23-0384-4cdc-95a0-962259f93ee9: LABEL="home" UUID="5a26a4b7-ab86-43f5-b268-6209b9ff1225" TYPE="ext4"
/dev/mapper/luks-8c9b0106-d208-486b-912b-3f096778623d: LABEL="data" UUID="74ccb158-8f3f-4419-b4d3-ad00ba78b4e9" TYPE="ext4"


/etc/fstab
#
# /etc/fstab
# Created by anaconda on Mon Sep 26 09:34:09 2016
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/luks-3cc6b712-48d4-4b32-8a9a-7b7e2ee32841 /                       ext4    defaults,x-systemd.device-timeout=0 1 1
UUID=ce6efb33-ab90-4a22-a4b8-0371d893bf8b /boot                   ext4    defaults        1 2
/dev/mapper/luks-8c9b0106-d208-486b-912b-3f096778623d /data                   ext4    defaults,x-systemd.device-timeout=0 1 2
/dev/mapper/luks-ffebfc23-0384-4cdc-95a0-962259f93ee9 /home                   ext4    defaults,x-systemd.device-timeout=0 1 2
/dev/mapper/luks-ad008059-8471-4a9d-9323-8269e300e708 swap                    swap    defaults,x-systemd.device-timeout=0 0 0
Comment 4 japa-fi 2016-10-11 02:13:58 EDT
With kernel 4.7.6-200 there is just one simple error stopping /dev/dm-1, no timeout and shutdown goes fast.
Comment 5 Fedora End Of Life 2016-11-24 09:24:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:14:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.